> For the complete documentation index, see [llms.txt](https://docs.specsolutions.eu/specsync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-specflow.md).

# specFlow

This configuration section contains settings related to synchronizing SpecFlow projects. These settings are only required for old SpecFlow versions.

The following example shows the available options within this section.

```javascript
{
  ...
  "specFlow": {
    "specFlowGeneratorFolder": "..\\packages\\SpecFlow.2.3.0\\tools",
    "generateFeatureFileCodeBehinds": false
  },
  ...
}
```

## Settings

| Setting                          | Description                                                                                                                                                              | Default                                                        |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------- |
| `specFlowGeneratorFolder`        | The path of the SpecFlow generator folder used by the project, that is usually the `tools` folder of the SpecFlow NuGet package, e.g. `packages\\SpecFlow.2.3.0\\tools`. | detect generator of the project                                |
| `generateFeatureFileCodeBehinds` | Specifies whether SpecSync should attempt to regenerate feature file code-behind files after they have been changed by SpecSync. This is only required for SpecFlow v2.  | SpecSync automatically decides whether generation is necessary |

{% content-ref url="/pages/As0iwTwtwwMJKOfZACmA" %}
[Configuration reference](/specsync/jira/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-specflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
